package com.mybank;

import com.mybank.config.SpringConfigurator;
import com.mybank.config.Configurator;

import java.math.BigDecimal;


public class Main
{
    public static void main(String[] args) throws Exception
    {
        Configurator configurator = new SpringConfigurator();
        TradeMonitor monitor = configurator.getTradeMonitor();
        monitor.tryTrade("ACME", new BigDecimal("1000"));
    }

}
