package com.mybank.config;

import com.mybank.TradeMonitor;
import com.mybank.LimitDao;
import org.picocontainer.MutablePicoContainer;
import org.picocontainer.defaults.DefaultPicoContainer;

public class PicoConfigurator implements Configurator
{
    public TradeMonitor getTradeMonitor()
    {
        MutablePicoContainer pico = new DefaultPicoContainer();
        pico.registerComponentImplementation(LimitDao.class);
        pico.registerComponentImplementation(TradeMonitor.class);

        return (TradeMonitor)pico.getComponentInstanceOfType(TradeMonitor.class);
    }
}
