package com.mybank.config;

import com.mybank.TradeMonitor;
import org.springframework.core.io.Resource;
import org.springframework.core.io.FileSystemResource;
import org.springframework.beans.factory.xml.XmlBeanFactory;

public class SpringConfigurator implements Configurator
{

    public TradeMonitor getTradeMonitor()
    {
        Resource res = new FileSystemResource("src/config/spring.xml");
        XmlBeanFactory factory = new XmlBeanFactory(res);

        return (TradeMonitor)factory.getBean("tradeMonitor");
    }
}
